Subject: Re: [PATCH] mailmap: resurrect lower-casing of email addresses

From: A Large Angry SCM <[email-masked]>
Date: Fri, 03 Apr 2009 21:32:56 -0400

Johannes Schindelin wrote:
> Hi,
> 
> On Thu, 2 Apr 2009, A Large Angry SCM wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> On Thu, 2 Apr 2009, A Large Angry SCM wrote:
>>>
>>>> Junio C Hamano wrote:
>>>>> Johannes Schindelin <[email-masked]> writes:
>>>>>
>>>>>>> What part of the email address is this going to lowercase? 
>>>>>>> Only the domain name is case agnostic.
>>>>> That is my understanding of RFC, too.  Let's see where this mail 
>>>>> goes to find out how much more lenient the real world is ;-).
>>>>>
>>>> Many email providers/servers are lenient when it comes to case in 
>>>> the local part of an email address (after all, they control the 
>>>> interpretation) but not every provider/server is and the RFC is VERY 
>>>> clear on this issue.
>>> And in one of my projects it is _very_ clear that this strict 
>>> interpretation of the RFC, which does not matter in reality, 
>>> _actively_ _hurts_.
>> Care to provide actual justification for that statement.
> 
> Well, I _did_!  I have at least _one_ repository where the case 
> insensitive email addresses worked, and got fscked over, by having Git 
> change behavior behind my back!
> 
>>> In the alternative, can I ask you to adjust my .mailmap in your free 
>>> time?
>> _Your_ .mailmap file is your issue.
>>
>> So which standards do you choose to follow and which do you choose to 
>> ignore?
> 
> You chose a rather inappropriate moment to start one of those damned 
> flamewars -- I am in the middle of some rather important day-job meeting, 
> plus two projects in the deadline-is-looming GSoC frenzy.
> 
> In case it was not clear yet: if I have to chose between following a 
> standard and reality that just took over, I will _always_ choose the 
> latter.
> 
> If you take this mail to start a flamewar for real (i.e. not answer to my 
> concerns, but point out that standard X says bla, and that everybody else 
> should just obey, oh, and fix their ways as of 20 years), please do remove 
> me from the Cc: list.
> 
> Ciao,
> Dscho
> )
> 

Sorry, this is not a flame war (and as Peff already sent a response that 
superior to my own) so I'll let Junio decide.

However, to keep the peace (and as a thank you for all the hard work to 
date, I'll say that I'm scheduled to be be Germany and Munich the first 
10 days in October and I'll buy the first $100 dollars in drinks at any 
meet that participate in (as a thank you to all the hard work for git 
that has been performed) that may happen that I participate in).